<?php
	
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
	
	$pl=$_GET['p'];
	$q = mysql_query("SELECT * FROM `planet` WHERE `id`='".check(mysql_real_escape_string($pl))."'");
	$f = mysql_fetch_array($q);
	$s = mysql_query("SELECT * FROM `building` WHERE `planet_id`='".check(mysql_real_escape_string($f['id']))."'");
	$b = mysql_fetch_array($s);
	$q2 = mysql_query("SELECT * FROM `planet_units` WHERE `uid`='".$use_id."' AND `planet`='".$f['id']."'");
	$f2 = mysql_fetch_array($q2);
	$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `planet` WHERE `uid`='".$use_id."';"), 0);
	$units=$f2['u1']+$f2['u2']+$f2['u3']+$f2['u4']+$f2['u5']+$f2['u6']+$f2['u7']+$f2['u8']+$f2['u9']+$f2['u10']+$f2['u11']+$f2['u12'];
	if($game==0 OR $level==0 OR $rasa!=3 OR $f['uid']!=$use_id OR $b['b12']==0 OR $ban!=0){
   		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
   }else{

	echo '<div class="top"><a href="../game/planet.php?act=pl&amp;p='.$f['id'].'">Планета '.$f['name'].'</a> | Сеть Нидуса</div>';
	   		switch ($act) {
	default:
		if($realtime<=$b['b12time']){echo '<div class="conts">Сеть Нидуса еще не готова к перемещению войск. Повторите попытку '. dates($b['b12time']) .'<br/>';}else{
	if(!$_POST)
	{
	if($count==1){echo '<div class="conts">Вы не можете отправить войска потому что вы владеете только одной планетой<br/>';}else{
	echo '<div class="cont">Выберите планету на которую вы хотите отправить войска: 
	<form action="" method="POST"><select name="pl">';	
	$PAGINGS = mysql_query("SELECT * FROM `planet` WHERE `uid`='".$use_id."' ORDER BY `id` ASC");
	if($PAGINGS > 0)
	{while($row = mysql_fetch_array($PAGINGS))
		{
		if($row['id']!=$f['id'])echo '<option value="'.$row['id'].'">'.$row['name'].' [x:'.$row['x'].' y:'.$row['y'].']</option>';
		}}
echo '</select></div><div class="top">Выберите войска:</div><div class="conts">';
if($units==0){echo 'Вы не можете отправить войска потому что у вас нет свободных войск на этой планете<br/>';}else{
			if($f2['u1']!=0)echo ''.rasa($rasa).' '.units(1, $rasa).': '.$f2['u1'].'<br /><input type="text" value="0" name="u1" /><br />';
			if($f2['u2']!=0)echo ''.rasa($rasa).' '.units(2, $rasa).': '.$f2['u2'].'<br/><input type="text" value="0" name="u2" /><br />';
			if($f2['u3']!=0)echo ''.rasa($rasa).' '.units(3, $rasa).': '.$f2['u3'].'<br/><input type="text" value="0" name="u3" /><br />';
			if($f2['u4']!=0)echo ''.rasa($rasa).' '.units(4, $rasa).': '.$f2['u4'].'<br/><input type="text" value="0" name="u4" /><br />';
			if($f2['u5']!=0)echo ''.rasa($rasa).' '.units(5, $rasa).': '.$f2['u5'].'<br/><input type="text" value="0" name="u5" /><br />';
			if($f2['u6']!=0)echo ''.rasa($rasa).' '.units(6, $rasa).': '.$f2['u6'].'<br/><input type="text" value="0" name="u6" /><br />';
			if($f2['u7']!=0)echo ''.rasa($rasa).' '.units(7, $rasa).': '.$f2['u7'].'<br/><input type="text" value="0" name="u7" /><br />';
			if($f2['u8']!=0)echo ''.rasa($rasa).' '.units(8, $rasa).': '.$f2['u8'].'<br/><input type="text" value="0" name="u8" /><br />';
			if($f2['u9']!=0)echo ''.rasa($rasa).' '.units(9, $rasa).': '.$f2['u9'].'<br/><input type="text" value="0" name="u9" /><br />';
			if($f2['u10']!=0)echo ''.rasa($rasa).' '.units(10, $rasa).': '.$f2['u10'].'<br/><input type="text" value="0" name="u10" /><br />';
			if($f2['u11']!=0)echo ''.rasa($rasa).' '.units(11, $rasa).': '.$f2['u11'].'<br/><input type="text" value="0" name="u11" /><br />';
			if($f2['u12']!=0)echo ''.rasa($rasa).' '.units(12, $rasa).': '.$f2['u12'].'<br/><input type="text" value="0" name="u12" /><br />';
 echo '<input type="submit" name="submit" value="Отправить"/></form>';
 }}}		
			else
	{
	
			$pl1 = check(trim($_POST['pl']));
			$q1 = mysql_query("SELECT * FROM `planet` WHERE `id`='".check(mysql_real_escape_string($pl1))."'");
			$f1 = mysql_fetch_array($q1);
			$uu1 = check(trim(mysql_real_escape_string($_POST['u1'])));
			if($uu1=='')$uu1=0;
			$uu2 = check(trim(mysql_real_escape_string($_POST['u2'])));
			if($uu2=='')$uu2=0;
			$uu3 = check(trim(mysql_real_escape_string($_POST['u3'])));
			if($uu3=='')$uu3=0;
			$uu4 = check(trim(mysql_real_escape_string($_POST['u4'])));
			if($uu4=='')$uu4=0;
			$uu5 = check(trim(mysql_real_escape_string($_POST['u5'])));
			if($uu5=='')$uu5=0;
			$uu6 = check(trim(mysql_real_escape_string($_POST['u6'])));
			if($uu6=='')$uu6=0;
			$uu7 = check(trim(mysql_real_escape_string($_POST['u7'])));
			if($uu7=='')$uu7=0;
			$uu8 = check(trim(mysql_real_escape_string($_POST['u8'])));
			if($uu8=='')$uu8=0;
			$uu9 = check(trim(mysql_real_escape_string($_POST['u9'])));
			if($uu9=='')$uu9=0;
			$uu10 = check(trim(mysql_real_escape_string($_POST['u10'])));
			if($uu10=='')$uu10=0;
			$uu11 = check(trim(mysql_real_escape_string($_POST['u11'])));
			if($uu11=='')$uu11=0;
			$uu12 = check(trim(mysql_real_escape_string($_POST['u12'])));
			if($uu12=='')$uu12=0;
		    $error = false;

			if ($f1['uid']!=$use_id)
			$error = $error . 'Вы пытаетесь переправить войска не на свою планету<br/>';
			if ($f1['id']==$f['id'])
			$error = $error . 'Вы пытаетесь переправить войска на эту планету<br/>';
			if (preg_match('/[^\d_]+/',$uu1))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu2))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu3))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu4))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu5))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu6))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu7))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu8))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu9))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu10))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu11))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu12))
			$error = $error . 'Недопустимые символы<br />';
			elseif ($uu1 > $f2['u1'] or $uu2 > $f2['u2'] or $uu3 > $f2['u3'] or $uu4 > $f2['u4'] or $uu5 > $f2['u5'] or $uu6 > $f2['u6'] or $uu7 > $f2['u7'] or $uu8 > $f2['u8'] or $uu9 > $f2['u9'] or $uu10 > $f2['u10'] or $uu11 > $f2['u11'] or $uu12 > $f2['u12'])
			$error = $error . 'У вас нет столько юнитов!<br />';
							  		if (empty($error))
		{
		mysql_query("UPDATE `planet_units` SET `u1`=u1+$uu1,
		`u2`=u2+$uu2,
		`u3`=u3+$uu3,
		`u4`=u4+$uu4,
		`u5`=u5+$uu5,
		`u6`=u6+$uu6,
		`u7`=u7+$uu7,
		`u8`=u8+$uu8,
		`u9`=u9+$uu9,
		`u10`=u10+$uu10,
		`u11`=u11+$uu11,
		`u12`=u12+$uu12	WHERE `planet`='".$f1['id']."';");
		mysql_query("UPDATE `planet_units` SET `u1`=u1-$uu1,
		`u2`=u2-$uu2,
		`u3`=u3-$uu3,
		`u4`=u4-$uu4,
		`u5`=u5-$uu5,
		`u6`=u6-$uu6,
		`u7`=u7-$uu7,
		`u8`=u8-$uu8,
		`u9`=u9-$uu9,
		`u10`=u10-$uu10,
		`u11`=u11-$uu11,
		`u12`=u12-$uu12 WHERE `planet`='".$f['id']."';");
		
mysql_query("UPDATE `building` SET `b12time`=$realtime+3600	WHERE `planet_id`='".$f['id']."';");
			echo '<div class="conts">Войска отправлены на планету <b>'.$f1['name'].'</b><br />';

	          	
		}
		else
		{
			echo '<div class="conts">'.$error.'';
	          				}}}
							echo '</div>';
break;
	}
}
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>